Bug 1189009 - (CVE-2021-3673) VUL-0: CVE-2021-3673: radare2: improper input validation can lead to resource exhaustion when reading LE binary
(CVE-2021-3673)
VUL-0: CVE-2021-3673: radare2: improper input validation can lead to resource...
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Development
Leap 15.3
Other Other
: P3 - Medium : Minor (vote)
: ---
Assigned To: Ferdinand Thiessen
Security Team bot
https://smash.suse.de/issue/305484/
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-08-03 08:52 UTC by Gianluca Gabrielli
Modified: 2021-10-28 08:55 UTC (History)
0 users

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gianluca Gabrielli 2021-08-03 08:52:37 UTC
A vulnerability was found in Radare2 in version 5.3.1. Improper input validation when reading a crafted LE binary can lead to resource exhaustion and DoS.

Reference:
https://github.com/radareorg/radare2/issues/18923

Upstream patch:
https://github.com/radareorg/radare2/commit/d7ea20fb2e1433ebece9f004d87ad8f2377af23d

References:
https://bugzilla.redhat.com/show_bug.cgi?id=1989130
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2021-3673
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-3673
Comment 1 Ferdinand Thiessen 2021-08-04 00:09:37 UTC
Not sure why I was assigned, but nevertheless should be fixed with:
https://build.opensuse.org/request/show/910048
Comment 2 Ferdinand Thiessen 2021-10-28 08:55:42 UTC
https://build.opensuse.org/request/show/910802